Summary:	GeoLite Country - Country database for GeoIP
Summary(pl.UTF-8):	GeoLite Country - baza danych krajów dla GeoIP
Name:		GeoIP-db-Country
# Updated every month:
Version:	2018.01.05
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz?/GeoIP-%{version}.dat.gz
# Source0-md5:	58159ef6be54c1a5a033d07c9772b70e
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz?/GeoIPv6-%{version}.dat.gz
# Source1-md5:	7a017634d34a1ef7a6de95088e9f1466
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
Requires:	GeoIP-libs >= 1.4.5-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GeoLite Country is similar to the GeoIP Country database, but is not
as accurate. Should you require greater accuracy, GeoIP Country is a
drop-in replacement for GeoLite Country.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
GeoLite Country jest podobna do bazy danych GeoIP Country, ale nie
jest tak dokładna. Jeśli wymagana jest większa dokładność, GeoIP
Country jest zamiennikiem GeoLite Country.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxMind, dostępne z <http://www.maxmind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

gzip -d GeoIP-%{version}.dat.gz GeoIPv6-%{version}.dat.gz
dt4=$(TZ=GMT stat -c '%y' GeoIP-%{version}.dat | awk '{print $1}' | tr - .)
dt5=$(TZ=GMT stat -c '%y' GeoIP-%{version}.dat | awk '{print $1}' | tr - .)
if [ "$(echo $dt4 | tr -d .)" -gt "$(echo $dt6 | tr -d .)" ]; then
	ver=$dt4
else
	ver=$dt6
fi
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoIP-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIP.dat
cp -p GeoIPv6-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPv6.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Fri Jan 05 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-Country.git;a=log;h=master

* Fri Jan 05 2018 Elan Ruusamäe <glen@pld-linux.org> fa800b3
- updated to 2018.01.05

* Wed Dec 06 2017 Elan Ruusamäe <glen@pld-linux.org> b77727e
- updated to 2017.12.06

* Mon Nov 06 2017 Elan Ruusamäe <glen@pld-linux.org> 6f3ca11
- updated to 2017.11.06

* Wed Oct 04 2017 Elan Ruusamäe <glen@pld-linux.org> 6ffb990
- updated to 2017.10.04

* Thu Sep 07 2017 Elan Ruusamäe <glen@pld-linux.org> e90afe3
- updated to 2017.09.07

* Thu Aug 03 2017 Elan Ruusamäe <glen@pld-linux.org> 8bb1d26
- updated to 2017.08.02

* Tue Jul 04 2017 Elan Ruusamäe <glen@pld-linux.org> f8780ed
- updated to 2017.07.04

* Thu Jun 08 2017 Elan Ruusamäe <glen@delfi.ee> b9771b0
- updated to 2017.06.08

* Wed May 03 2017 Elan Ruusamäe <glen@delfi.ee> c0b8c3c
- updated to 2017.05.02

* Thu Apr 06 2017 Elan Ruusamäe <glen@delfi.ee> 00bd1c2
- updated to 2017.04.06

* Tue Apr 04 2017 Elan Ruusamäe <glen@delfi.ee> a141617
- updated to 2017.04.04

* Wed Mar 08 2017 Elan Ruusamäe <glen@delfi.ee> 3d457ce
- updated to 2017.03.07

* Tue Feb 07 2017 Elan Ruusamäe <glen@delfi.ee> b2d38d4
- updated to 2017.02.07

* Wed Jan 04 2017 Elan Ruusamäe <glen@delfi.ee> fa56735
- updated to 2017.01.03

* Wed Dec 07 2016 Elan Ruusamäe <glen@delfi.ee> 64cdafd
- updated to 2016.12.07

* Tue Dec 06 2016 Elan Ruusamäe <glen@delfi.ee> 0dba82d
- updated to 2016.12.06

* Mon Oct 31 2016 Elan Ruusamäe <glen@delfi.ee> 1ef3a20
- updated to 2016.10.31

* Tue Oct 04 2016 Elan Ruusamäe <glen@delfi.ee> 47383dc
- updated to 2016.10.04

* Fri Sep 30 2016 Elan Ruusamäe <glen@delfi.ee> 0d82914
- updated to 2016.09.30

* Wed Sep 07 2016 Elan Ruusamäe <glen@delfi.ee> e73eecb
- updated to 2016.09.07

